<div class="container">
  <div class="content-container shadow">
    <div class="content-container-title">
      <h2 *ngIf="!editMode">Create new booking</h2>
      <h2 *ngIf="editMode">Edit booking</h2>
    </div>

    <div class="content-container-body">
      <ng-container *ngIf="editMode">
        <div class="input-box">
          <label>Created by:</label>
          <input nz-input  disabled type="text" value="{{booking.client_id}}">
        </div>
        <div *ngIf="booking.mentor_client_id " class="input-box">
          <label>Mentor</label>
          <input nz-input disabled type="text" value="{{booking.mentor_client_id}}">
        </div>
      </ng-container>
      <div class="input-box">
        <label>Date</label>
        <nz-date-picker [(ngModel)]="pickedDate" [nzStatus]="submitted && !pickedDate? 'error' : ''"
          [nzDisabledDate]="disabledDate"></nz-date-picker>
      </div>
      <div class="input-box">
        <label>Start Time(Zulu)</label>
        <nz-time-picker nzFormat="HH:mm" nzPlaceHolder="Select Start Time" [(ngModel)]="startTime"
        [nzDefaultOpenValue]="defaultOpenValue"
          [nzStatus]="submitted && !startTime? 'error' : ''"></nz-time-picker>
      </div>
      <div class="input-box">
        <label>End Time(Zulu):</label>
        <nz-time-picker nzFormat="HH:mm" nzPlaceHolder="Select End Time" [(ngModel)]="endTime"
        [nzDefaultOpenValue]="defaultOpenValue"
          [nzStatus]="submitted && !endTime? 'error' : ''"></nz-time-picker>
      </div>
      <div class="input-box">
        <label>Position</label>
        <nz-select nszShowSearch nzAllowClear nzPlaceHolder="Select a position" [(ngModel)]="selectedCallsign"
          [nzStatus]="submitted && !selectedCallsign? 'error' : ''">
          <nz-option *ngFor="let callsign of Controller_callsign" [nzValue]="callsign" [nzLabel]="callsign">
          </nz-option>
        </nz-select>
      </div>
      <button type="submit" class="btn btn-submit" [disabled]="submitInProgress" (click)="submit()">Submit</button>
    </div>
  </div>
</div>
